Subject: Re: bug#11715: 24.1; Error in post-command-hook: wrong-number-of-arguments - read-file-internal

From: Stefan Monnier <[email-masked]>
Date: Sat, 23 Jun 2012 10:04:35 -0400

> I checked all of this code before filing the bug report, and checked it again
> just now.  Any idea?

No, I don't see it.

> What would construct a function of no args that is essentially
> `read-file-name-internal' and put it on `post-command-hook'

As I said, it is *not* put on post-command-hook: it is run by
Icomplete's post-command-hook, so the error could be because that
function was put in minibuffer-completion-table or
minibuffer-completion-predicate (and hence called by
icomplete-completions), or even on icomplete-post-command-hook.
Can you check some of those variables?
If you can find a way to trigger the problem with
M-: (run-hooks 'icomplete-post-command-hook) RET then we could debug it
a bit more easily (e.g. get a backtrace, use edebug, ...).

        Stefan